You are not logged in.

#3276 2011-10-18 00:00:37

vinceb
Member
From: Indianapolis, IN
Registered: 2011-03-08
Posts: 37

Re: The AMD/ATI Bar & Grill

Removed all the excess drivers I didn't need.


[vince@v ~]$ sudo pacman -Syu
Password:
:: Synchronizing package databases...
xorg110 is up to date
catalyst is up to date
core is up to date
extra                                       852.1K  549.5K/s 00:00:02 [########################################] 100%
community                                   492.3K  376.0K/s 00:00:01 [########################################] 100%
multilib is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for inter-conflicts...
:: xf86-video-ark and xorg-server are in conflict (xorg-server<1.11.0). Remove xorg-server? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: catalyst-utils: requires xorg-server>=1.7.0
:: catalyst-utils: requires xorg-server<1.11.0
[vince@v ~]$

Last edited by vinceb (2011-10-18 04:17:36)

Offline

#3277 2011-10-18 06:41:04

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,349
Website

Re: The AMD/ATI Bar & Grill

Maybe i will add all xf86 video drivers, iirc they aren't huge. But i will do this after i get back from work (~9h).

Offline

#3278 2011-10-18 11:29:50

vinceb
Member
From: Indianapolis, IN
Registered: 2011-03-08
Posts: 37

Re: The AMD/ATI Bar & Grill

@ ViOLO - I doubt it's necessary to add the xf86-* drivers. I don't even know why I had them installed. I believe I had just loaded arch almost a year ago and loaded the entire group rather than just the necessary video driver. Hopefully AMD will update their drivers anyway, as the 11.9 made my X crash and apparently a lot of others.

Offline

#3279 2011-10-19 04:09:47

punkrockguy318
Member
From: New Jersey
Registered: 2004-02-15
Posts: 707
Website

Re: The AMD/ATI Bar & Grill

Ever since I've upgraded to 11.9, I'm get crashes when I log out of XFCE.  X11 just hardlocks and then my computer reboots.  I'm using LXDM as my display manager.  It looks like X is segfaulting.  Here's the Xorg.log.0:  http://pastebin.com/mVCUh4yb

Oddly enough, if I switch to a VT and stop lxdm, X is killed without issue.  I'm going to see if I can reproduce while using other dms

Edit -- I switched to lightdm (available in AUR) and I no longer experience the issue.  I'd file a bug, but I'm not exactly sure where the issue lies.  I'm guessing there is some issue with LXDM, but who knows as buggy as fglrx is.

Edit2 - Argh; nevermind.  I can reproduce this on lightdm as well.  Strange hmm  Going to try booting without a dm and just startxfce4'ing

Edit3 - TLDR - looks like this issue is display manager independent, as I can reproduce when booting without a dm and logging out from a session started with "startxfce4".  the only way that i can be sure that my system won't freeze on log out/ change users is to switch to a VT and restart the dm or manually kill X. 

If anyone else is experiencing this, let me know.

Last edited by punkrockguy318 (2011-10-19 04:38:16)


If I have the gift of prophecy and can fathom all mysteries and all knowledge, and if I have a faith that can move mountains, but have not love, I am nothing.   1 Corinthians 13:2

Offline

#3280 2011-10-21 18:51:52

sleepforlife
Member
Registered: 2011-09-27
Posts: 95

Re: The AMD/ATI Bar & Grill

:: xf86-input-acecad, xorg-server-catalyst-maximize-fix ile çakışıyor (xorg-server<1.10.99.902). xorg-server-catalyst-maximize-fix paketinin kaldırılmasını istiyor musunuz? [e/H] h
hata: çözülemeyen paket çakışmaları bulundu
hata: işlem hazırlığı başarısız oldu (çakışan bağımlılıklar)
:: xf86-input-acecad ve xorg-server-catalyst-maximize-fix  çakışıyor(xorg-server<1.10.99.902)/

same problem either,
how can i upgrade ?
can I remove  xf86-input-acecad is it safe?

edit : sloved

Last edited by sleepforlife (2011-10-22 20:23:58)

Offline

#3281 2011-10-23 11:21:12

dabd
Member
Registered: 2008-11-17
Posts: 109

Re: The AMD/ATI Bar & Grill

I have the issue reported here with HDMI video output on ATI Mobility Radeon 4570:
https://bbs.archlinux.org/viewtopic.php?id=128897

Could someone help me?

Thanks.

Offline

#3282 2011-10-23 12:52:07

oldherl
Member
Registered: 2008-08-31
Posts: 23

Re: The AMD/ATI Bar & Grill

XeCycle wrote:

Why don't we setup a mailing list?  At least Google Groups can do.

Google Groups is not that good. For example, it is GFW-ed.

A separate board "NVIDIA, ATI and Intel cards" in this forum may be better.

Offline

#3283 2011-10-23 16:20:17

Berseker
Member
From: Near Lecco, Italy
Registered: 2008-04-24
Posts: 256

Re: The AMD/ATI Bar & Grill

Hi all,
after *years* of Nvidia-only setups (with small experiences with an old ATI 9600 and some friend's laptops)

I'm in these days using a system with an integrated ATI 4250 and a nice 24" IPS monitor.. using catalyst repo with 11.8 drivers.. 3 quick questions

1) is there a way to use VA-API *and* Xorg composite extension at the same time? it seems that if I switch on the second, the first simply doesn't work correctly..
2) is really 11.8 better than 11.9 in every system or it can be worth to try the new version?
3) I have a strange glitch problem with firefox *only*, not related to compositing\compiz (which I use in a compiz-standalone setup, with backup of an openbox-setup), I have read here but that command seems to not do anything to my xorg.conf.. am I missing something?

btw I have tried also open drivers setup, but performance are sluuggish even with -git packages and Vaapi seems not to be supported yet, so I will stay with closed source for now..

Offline

#3284 2011-10-25 15:13:36

garretraziel
Member
Registered: 2011-08-10
Posts: 26
Website

Re: The AMD/ATI Bar & Grill

Hi,
I am using catalyst drivers from catalyst repositories (apocalypsus.net). I have catalyst 11.8 and pacman says that my system is up to date but when I navigate my browser apocalypsus.net, there is already catalyst 11.9. Can I upgrade to it?

And yes, I have xorg110 repository added. I am using xorg-server-catalyst-maximize-fix. If I try to install normal xorg-server (from xorg110):

[garret@sol msc]$ sudo pacman -S xorg-server                     
Password: 
resolving dependencies...
looking for inter-conflicts...
:: xorg-server and xorg-server-catalyst-maximize-fix are in conflict. Remove xorg-server-catalyst-maximize-fix? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: xorg-server: requires xorg-server-common
[garret@sol msc]$ sudo pacman -S xorg-server-common
resolving dependencies...
looking for inter-conflicts...
:: xorg-server-common and xorg-server-catalyst-maximize-fix are in conflict. Remove xorg-server-catalyst-maximize-fix? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: catalyst-utils: requires xorg-server>=1.7.0
:: catalyst-utils: requires xorg-server<1.11.0
:: plan9port: requires xorg-server

Anyone know what to do with it?

Last edited by garretraziel (2011-10-25 15:16:48)

Offline

#3285 2011-10-25 16:07:45

atanas
Member
From: Bulgaria
Registered: 2011-06-04
Posts: 32
Website

Re: The AMD/ATI Bar & Grill

@garretraziel - you don't have to install xorg-server package, because xorg-server-catalyst-maximize-fix is replacing it.
If you want to use the original xorg-server, you have to remove xorg-server-catalyst-maximize-fix with:

pacman -Rdd xorg-server-catalyst-maximize-fix
pacman -S xorg-server

About catalyst-11.9, it's available at http://catalyst.apocalypsus.net but it's not included in the repo database.
We don't recommend you to use this version, cuz it's marked as unstable on most systems. Of course you can manually install it and then rollback if you don't like it.


catalyst @ archlinux
gallery @ deviantART

Offline

#3286 2011-10-26 06:05:54

Berseker
Member
From: Near Lecco, Italy
Registered: 2008-04-24
Posts: 256

Re: The AMD/ATI Bar & Grill

I fixed my problem with firefox by disabling option "layers.acceleration.force-enabled" in about:config. Just in case if it can help someone.

Offline

#3287 2011-10-26 09:59:43

ChemBro
Member
Registered: 2008-10-22
Posts: 702

Re: The AMD/ATI Bar & Grill

Catalyst 11.10 should be released today, no? Last wednesday of the month and AMD nearly always releases on wednesday.

Offline

#3288 2011-10-26 11:35:29

buntolo
Member
Registered: 2011-10-11
Posts: 189

Re: The AMD/ATI Bar & Grill

Big artifacts even with vesa after tried installing fglrx: https://bbs.archlinux.org/viewtopic.php?id=128124

Any idea?
The first thing to do is to get rid of those artifacts.

Offline

#3289 2011-10-26 16:28:51

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,349
Website

Re: The AMD/ATI Bar & Grill

buntolo wrote:

Big artifacts even with vesa after tried installing fglrx: https://bbs.archlinux.org/viewtopic.php?id=128124

Any idea?
The first thing to do is to get rid of those artifacts.

your Xorg.log is saying that you are using radeon driver, i guess radeon module was loaded by kms.
If you want to use fglrx try to add radeon.modeset=0 into boot's kernel's options. If that won't help try to blacklist

blacklist radeon
blacklist ttm
blacklist drm
blacklist drm_kms_helper

in modprobe. Also I think that gdm is not good for testing purposes - becase afaik since 3.2 it's using compositing and fglrx got problems with GNOME3's compositing. So maybe try to switch to other DM if turning radeon module off will not help you.
Oh, and don't forget to add fglrx into rc.conf's MUDULES array

Last edited by Vi0L0 (2011-10-26 16:34:06)

Offline

#3290 2011-10-26 22:39:55

zryder
Member
Registered: 2011-06-13
Posts: 5

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:

Oh, and don't forget to add fglrx into rc.conf's MUDULES array

I may have missed it, but do you still need to do this if you used catalyst-total?

Offline

#3291 2011-10-27 04:19:46

Slyder
Member
Registered: 2010-10-21
Posts: 12

Re: The AMD/ATI Bar & Grill

Hi, I just got my new netbook up and running with the Catalyst drivers by using the unofficial [catalyst] repo.  I ran into a problem when doing my new install when I kept getting errors that my xf86-input-XXXXXs were in conflict with catalyst-utils and xorg-server-catalyst-maximize-fix.  I fixed this by adding the [xorg110] repo directly underneath my [catalyst] entry in my pacman.conf file so that I could get the right(older?) xf86-input-XXXXX packages that are compatible with my setup.  I think we either need to edit the wiki to inform people that you need to also enable the [xorgXXX] repo when installing the catalyst drivers so that you will get the correct xf86-input packages OR we need to add the xf86-input packages to the [catalyst] repo.  Just my $.02.  Also, thanks for all the hard work ViOLO.

Offline

#3292 2011-10-27 05:44:14

Berseker
Member
From: Near Lecco, Italy
Registered: 2008-04-24
Posts: 256

Re: The AMD/ATI Bar & Grill

Berseker wrote:

Hi all,
1) is there a way to use VA-API *and* Xorg composite extension at the same time? it seems that if I switch on the second, the first simply doesn't work correctly..
2) is really 11.8 better than 11.9 in every system or it can be worth to try the new version?

my questions 1) & 2) are still pending! does anyone have a suggestion for me?

Offline

#3293 2011-10-27 23:29:19

zryder
Member
Registered: 2011-06-13
Posts: 5

Re: The AMD/ATI Bar & Grill

ChemBro wrote:

Catalyst 11.10 should be released today, no? Last wednesday of the month and AMD nearly always releases on wednesday.


Looks like the 31'st

From twitter:


@CatalystMaker
Terry Makedon
Cat 11.10 official release will happen Oct 31 - but Catalyst 11.10 V3 is pretty much the identical driver, so use with BF3 (plus new CAP)

Offline

#3294 2011-10-29 22:28:53

buntolo
Member
Registered: 2011-10-11
Posts: 189

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:
buntolo wrote:

Big artifacts even with vesa after tried installing fglrx: https://bbs.archlinux.org/viewtopic.php?id=128124

Any idea?
The first thing to do is to get rid of those artifacts.

your Xorg.log is saying that you are using radeon driver, i guess radeon module was loaded by kms.
If you want to use fglrx try to add radeon.modeset=0 into boot's kernel's options. If that won't help try to blacklist

blacklist radeon
blacklist ttm
blacklist drm
blacklist drm_kms_helper

in modprobe. Also I think that gdm is not good for testing purposes - becase afaik since 3.2 it's using compositing and fglrx got problems with GNOME3's compositing. So maybe try to switch to other DM if turning radeon module off will not help you.
Oh, and don't forget to add fglrx into rc.conf's MUDULES array

kernel line doesn't work: they're still there
blacklisting them works: they've gone away.

But the artifacts still remain.
I've put xf86-video-vesa !fglrx in MODULES to use vesa generic driver instead of fglrx, but while fglrx aren't (as I want) loaded, I don't see vesa.
It doesn't work with xf86-video-ati either.

modprobe xf86-video-vesa
FATAL: Module xf86_video_vesa not found.

Last edited by buntolo (2011-10-29 22:39:07)

Offline

#3295 2011-10-30 13:34:12

Berseker
Member
From: Near Lecco, Italy
Registered: 2008-04-24
Posts: 256

Re: The AMD/ATI Bar & Grill

AFAIK vesa drivers have just to be installed

$ yaourt -Ss xf86-video-vesa
xorg110/xf86-video-vesa 2.3.0-5 [0,01 M] (xorg-drivers xorg)
    X.org vesa video driver
extra/xf86-video-vesa 2.3.0-7 [0,01 M] (xorg-drivers xorg)
    X.org vesa video driver

they do not need to be loaded as a kernel module, they are automatically openend by xorg in absence of other drivers

Offline

#3296 2011-10-30 19:14:44

osmano807
Member
Registered: 2008-10-09
Posts: 21

Re: The AMD/ATI Bar & Grill

Hello, is "normal" compiz and Xorg use 100% CPU often using catalyst 11.8 with xorg-server 1.10.4?

Offline

#3297 2011-10-30 22:03:34

buntolo
Member
Registered: 2011-10-11
Posts: 189

Re: The AMD/ATI Bar & Grill

Berseker wrote:

AFAIK vesa drivers have just to be installed

$ yaourt -Ss xf86-video-vesa
xorg110/xf86-video-vesa 2.3.0-5 [0,01 M] (xorg-drivers xorg)
    X.org vesa video driver
extra/xf86-video-vesa 2.3.0-7 [0,01 M] (xorg-drivers xorg)
    X.org vesa video driver

they do not need to be loaded as a kernel module, they are automatically openend by xorg in absence of other drivers

They're installed.

Offline

#3298 2011-10-31 17:16:49

zryder
Member
Registered: 2011-06-13
Posts: 5

Re: The AMD/ATI Bar & Grill

11.10 is out.

http://support.amd.com/us/gpudownload/l … ng=English

Phoronix is reporting better Gnome support as well. Who knows if it behaves with Xorg.

http://www.phoronix.com/scan.php?page=n … px=MTAwODg

Offline

#3299 2011-10-31 19:07:34

sleepforlife
Member
Registered: 2011-09-27
Posts: 95

Re: The AMD/ATI Bar & Grill

works on xorg 1.11?

Offline

#3300 2011-10-31 19:09:38

kritter
Member
Registered: 2011-06-05
Posts: 19
Website

Re: The AMD/ATI Bar & Grill

Catalyst 11.09 works for me with Xorg 1.10.4-1 like a charm. No tears or anything else... well, I am not using any compositing, either wink


My try at blogging // IRC: kritztopf@freenode

Offline

Board footer

Powered by FluxBB